# Class AnthropicEvent

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an event from the Anthropic API.

    public class AnthropicEvent

Inheritance
  object
  AnthropicEvent

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### AnthropicEvent(string, EventData)

Initializes a new instance of the AnthropicEvent class.

    public AnthropicEvent(string type, EventData data)

#### Parameters

`type` string

  The type of the event.

`data` EventData

  The data associated with the event.

## Properties

### Data

The data associated with the event.

    public EventData Data { get; init; }

#### Property Value

EventData

### Type

The type of the event.

    public string Type { get; init; }

#### Property Value

string